LURKER-INDEX(1)

NAME
lurker-index — imports messages into the archive

SYNOPSIS

lurker-index [-c <config-file>] [-l <list>] [-i <mbox/maildir>] [-v -d -n -u -f] [-m]

DESCRIPTION

lurker-index indexes messages from standard input and stores them in the lurker database. It imports either a single message, or a batch of messages in mbox format.

It is important to note that lurker messages in order and may miss new messages delivered during the import. For this reason, you should setup lurker to receive new mail before importing old mail. Only use lurker-index on inactive mail folders!

By default, lurker-index reads from standard input in mbox format, delimited by 'From <addr> <date>' lines. Be aware that if the mbox is not delimited correctly between messages it will be interpretted as a single message with an invalid date. To read other sources, see the '-i' option. If input is a single email, use '-m'.

OPTIONS

-c config-file
    Use this config file for lurker settings.

-l listid
    Import messages to the named mailing list. This should match the value in the lurker.conf after the 'list = ' entry.

-m  Import a single message. In this mode lurker will never interpret 'From ' lines as message delimiters. When being fed newly delivered mail, this is the preferred mode of operation. Try to turn off the 'From ' escaping of your MTA when using this mode, as lurker does it's own escaping which is generally smarter.

    This option should be used when lurker-index is invoked by the MTA for newly delivered email.

-i mbox/maildir
    Import messages from the specified mailbox or maildir. Lurker-index by default reads a mailbox (mbox format) from standard input. If the '-i' parameter is a file, the file is assumed to be in the mbox format and is read instead of standard input. If the parameter is a directory, the directory is assumed to be in maildir format.

    If '-m' is used, the input MUST be a raw email, preferably with a mbox header, never a maildir.

-v  Verbose operation. Lurker will output statistics about import speed to assist you in tweaking options for best throughput on your system. It also helps you know how much longer you will have to wait.

-d  Drop duplicates per list. This option will check the database to see if the message has already been imported to a mailing list. Only if it has not been imported will lurker append it to the mailbox. Even without this option lurker does not index a message twice. If an import failed part-way through, you probably want this option to avoid needless replication. However, to generate mailboxes which accurately reflect delivery, leave the option off.

-n  Don't compress messages. This will increase the database size and import speed. Lurker can handle a database with mixed compressed and uncompressed messages. However, zcat/gzip and database upgrades cannot. If you need these to function, you should never mix compressed and uncompressed messages within a single mailing list.

-u  Trust user Date headers from the email more than the delivery time. Normally lurker compares the two and if the user time differs too much from the delivery time, the delivery time is used instead. When this option is used, lurker will simply trust the user Date header whenever it exists, otherwise it uses the delivery time.

    This option should never be used as a default. It is intended for dealing with corrupt mailboxes or maildirs. A better solution than using this option is to find an uncorrupted copy of the mail.

-f  Fast import (but vulnerable to power-failure). This may improve the lifetime of your hard-disk and increase import speed by up to 30%. However, if the power fails during import or shortly thereafter, it is possible you will have a corrupted database. If you use a journaling filesystem, lurker guarantees no corruption when you OMIT this parameter.

SEE ALSO

lurker-prune(1), lurker-params(1), lurker-list(1), lurker-search(1)

lurker documentation on http://lurker.sourceforge.net/

COPYRIGHT

Copyright (C) 2002: Wesley W. Terpstra <terpstra@users.sourceforge.net>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; version 2.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

BUGS

Before reporting a bug, please confirm that the bug you found is still present in the latest official release. If the problem persists, then send mail with instructions describing how to reproduce the bug to <lurker-users@lists.sourceforge.net>.